
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "structured/version"

Gem::Specification.new do |spec|
  spec.name          = "structured"
  spec.version       = Structured::VERSION
  spec.authors       = ["jules2689"]
  spec.email         = ["julian@jnadeau.ca"]

  spec.summary       = 'Parse and validate hashes into structured Ruby objects.'
  spec.description   = 'Parse and validate hashes into structured Ruby objects.'
  spec.homepage      = "https://github.com/shopify/structured"
  spec.license       = "MIT"
  spec.metadata["allowed_push_host"] = "https://rubygems.org"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
end
